Loading...
Searching...
No Matches
globus_types.h File Reference

Common Primitive Types. More...

`#include "globus_config.h"`
`#include <stdlib.h>`
`#include <stdint.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`

Go to the source code of this file.

## Macros

#define | GLOBUS_TRUE 1
| True value for globus_bool_t.
#define | GLOBUS_FALSE 0
| False value for globus_bool_t.
#define | GLOBUS_NULL NULL
| NULL value.
#define | GLOBUS_SUCCESS 0
| Generic success resultMost Globus API functions return this value to indicate success, or some error constant or globus_result_t to indicate an error.
#define | GLOBUS_FAILURE -1
| Generic failure resultSome Globus API functions without good error handling return this value to indicate some undetermined error occurred.

## Typedefs

typedef size_t | globus_size_t
| Standard size of memory objectThe globus_size_t is the size of a memory object. It is identical to size_t in all cases and doesn't need to be used ever.
typedef socklen_t | globus_socklen_t
| Size of a socket length parameter.
typedef unsigned char | globus_byte_t
| Unsigned byte datatypeThis is used for byte-addressable arrays of arbitrary data which is not subject to sign extension.
typedef int | globus_bool_t
| Boolean type.
typedef uint32_t | globus_result_t

## Detailed Description

Common Primitive Types.

Defines the macros and typedefs common to all globus_common components.

## Macro Definition Documentation

## GLOBUS_NULL

#define GLOBUS_NULL NULL

NULL value.

From back long ago before NULL was standardized? No reason to use this on any modern system.